| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::crit_in_place_has_delta_sig Class Reference
API

return true if the entry has delta signature More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions
| crit_in_place_has_delta_sig (const crit_in_place_has_delta_sig &ref)=default
| crit_in_place_has_delta_sig (crit_in_place_has_delta_sig &&ref) noexcept=default
crit_in_place_has_delta_sig & | operator= (const crit_in_place_has_delta_sig &ref)=default
crit_in_place_has_delta_sig & | operator= (crit_in_place_has_delta_sig &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

return true if the entry has delta signature

Definition at line 294 of file criterium.hpp.

## Constructor & Destructor Documentation

## ◆ crit_in_place_has_delta_sig()

libdar::crit_in_place_has_delta_sig::crit_in_place_has_delta_sig | ( |  | ) |
| inline

Definition at line 297 of file criterium.hpp.

## Member Function Documentation

## ◆ clone()

virtual criterium * libdar::crit_in_place_has_delta_sig::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 305 of file criterium.hpp.

## ◆ evaluate()

virtual bool libdar::crit_in_place_has_delta_sig::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp